import kio
import sys
import qt
import kdecore
from kdecore import KApplication, KCmdLineArgs, KAboutData
from kdeui import KMainWindow, KListView

class MainWin (KMainWindow):
    def __init__ (self, *args):
        apply (KMainWindow.__init__, (self,) + args)

        self.setCaption ("Test KFileItemList")
        
        self.dirLister = kio.KDirLister()
        qt.QObject.connect(
            self.dirLister,
            qt.SIGNAL("newItems(const KFileItemList&)"),
            self.slot
            )
        self.dirLister.openURL(kdecore.KURL("file:/"))
    
    def slot(self, items):
        print "items count=%s" % (len(items))
        for i in items:
            print i.url().path()
        

app = KApplication (sys.argv, "Test")
mainWindow = MainWin (None, "main window")
mainWindow.show()
app.exec_loop()